package mapped;

import net.runelite.mapping.ObfuscatedGetter;
import net.runelite.mapping.ObfuscatedName;
import net.runelite.mapping.ObfuscatedSignature;
import net.runelite.rs.api.RSInvDefinition;

@ObfuscatedName("gz")
public class InvDefinition extends DualNode implements RSInvDefinition {
   @ObfuscatedName("at")
   @ObfuscatedSignature(
      descriptor = "Lol;"
   )
   public static AbstractArchive InvDefinition_archive;
   @ObfuscatedName("ah")
   @ObfuscatedSignature(
      descriptor = "Llk;"
   )
   public static EvictingDualNodeHashTable InvDefinition_cached;
   @ObfuscatedName("ar")
   @ObfuscatedGetter(
      intValue = -285256807
   )
   public int size;

   static {
      InvDefinition_cached = new EvictingDualNodeHashTable(64);
   }

   InvDefinition() {
      this.size = 0;
   }

   @ObfuscatedName("ah")
   @ObfuscatedSignature(
      descriptor = "(Luj;B)V",
      garbageValue = "0"
   )
   void method3522(Buffer var1) {
      while(true) {
         int var2 = var1.readUnsignedByte_base();
         if(var2 == 0) {
            return;
         }

         this.method3520(var1, var2);
      }
   }

   @ObfuscatedName("ar")
   @ObfuscatedSignature(
      descriptor = "(Luj;II)V",
      garbageValue = "-472687960"
   )
   void method3520(Buffer var1, int var2) {
      if(var2 == 2) {
         this.size = var1.readUnsignedShort_base();
      }

   }

   @ObfuscatedName("at")
   @ObfuscatedSignature(
      descriptor = "(Lol;Lol;S)V",
      garbageValue = "1000"
   )
   public static void method3531(AbstractArchive var0, AbstractArchive var1) {
      KitDefinition.KitDefinition_archive = var0;
      KitDefinition.KitDefinition_modelsArchive = var1;
      class348.KitDefinition_fileCount = KitDefinition.KitDefinition_archive.getGroupFileCount_base(3);
   }

   @ObfuscatedName("at")
   @ObfuscatedSignature(
      descriptor = "(I)V",
      garbageValue = "264426483"
   )
   public static void method3530_base() {
      class173.field1915.clear_base();
   }

   @ObfuscatedName("ny")
   @ObfuscatedSignature(
      descriptor = "(Ljava/lang/String;B)V",
      garbageValue = "-103"
   )
   static final void clanKickUser_base(String var0) {
      if(class20.friendsChat != null) {
         PacketBufferNode var1 = class113.method2919(ClientPacket.FRIENDCHAT_KICK, Client.packetWriter.isaacCipher);
         var1.packetBuffer.writeByte_base(ClanChannel.stringCp1252NullTerminatedByteSize_base(var0));
         var1.packetBuffer.writeStringCp1252NullTerminated_base(var0);
         Client.packetWriter.method2867(var1);
      }
   }
}
